Chad Fowler a ˝─rit :
> On 4/21/05, Lionel Thiry <lthiryidontwantspam / skynetnospam.be> wrote:
> 
>>Hello!
>>
> 
> 
> Hi!
> 
> 
>>I'd like to know if there is any gentle way to uninstall all gems excepted the
>>latest versions and their depencency.
>>
>>Thanks in advance
>>
> 
> 
> $ gem cleanup
> 
> You'll need a fairly recent version of RubyGems.  This was added
> within the past couple of months.
> 

Thanks a lot!

I had some warnings:

---8<---
Attempting uninstall on rubyzip-0.5.5
Attempting to uninstall gem 'rubyzip'

You have requested to uninstall the gem:
         rubyzip-0.5.5
instiki-0.10.0 depends on [rubyzip (= 0.5.5)]
instiki-0.9.2 depends on [rubyzip (= 0.5.5)]
If you remove this gems, one or more dependencies will not be met.
Continue with Uninstall? [Yn]
---8<---

and

---8<---
Attempting uninstall on rails-0.11.1
Attempting to uninstall gem 'rails'

You have requested to uninstall the gem:
         rails-0.11.1
instiki-0.10.0 depends on [rails (= 0.11.1)]
If you remove this gems, one or more dependencies will not be met.
Continue with Uninstall? [Yn]
---8<---

I've said yes to both but I have no idea if it was the thing to do.

PS: my first post didn't succeed, this is a retry, there may be a double posting

-- 
Lionel Thiry

Personal website: http://users.skynet.be/lthiry/